Bug 1120772 - IOError: [Errno 2] No such file or directory: '/ostree/repo/config' in /var/log/rhsm/rhsm.log while running subscription-manager repos --list
Summary: IOError: [Errno 2] No such file or directory: '/ostree/repo/config' in /var/l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.1
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel71
TreeView+ depends on / blocked
 
Reported: 2014-07-17 15:54 UTC by Shwetha Kallesh
Modified: 2015-03-05 13:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 13:17:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0502 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2015-03-05 16:20:39 UTC

Description Shwetha Kallesh 2014-07-17 15:54:35 UTC
Description of problem:
IOError: [Errno 2] No such file or directory: '/ostree/repo/config' in /var/log/rhsm/rhsm.log while running subscription-manager repos --list

Version-Release number of selected component (if applicable):
[root@localhost images]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.20.1-1
subscription management rules: 5.9
subscription-manager: 1.12.7-1.git.10.dfe4413.el7
python-rhsm: 1.12.4-1.git.0.c048795.el7

[root@localhost images]# rpm -qa | grep subscription-manager-plugin-ostree
subscription-manager-plugin-ostree-1.12.7-1.git.10.dfe4413.el7.x86_64
[root@localhost images]# 


How reproducible:


Steps to Reproduce:
1.[root@localhost images]# subscription-manager repos --list
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-atomic-preview-source-rpms
Repo Name: Red Hat Enterprise Linux Atomic Host Preview (Source RPMs)
Repo URL:  https://cdn.redhat.com/content/preview/rhel/atomic/7/x86_64/source/SRPMS
Enabled:   1


[root@localhost ~]# tail -f /var/log/rhsm/rhsm.log
2014-07-17 21:17:30,582 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-computenode', skipping content: rhel-7-for-hpc-node-supplementary-rpms
2014-07-17 21:17:30,582 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-computenode', skipping content: rhel-6-for-hpc-node-supplementary-source-rpms
2014-07-17 21:17:30,582 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-computenode', skipping content: rhel-7-for-hpc-node-supplementary-beta-source-rpms
2014-07-17 21:17:30,582 [DEBUG] subscription-manager @repolib.py:239 - Content type kickstart not allowed, skipping content: rhel-7-hpc-node-kickstart
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-computenode', skipping content: rhel-7-hpc-node-optional-beta-rpms
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-computenode', skipping content: rhel-6-for-hpc-node-rh-common-beta-debug-rpms
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-computenode', skipping content: rhel-7-for-hpc-node-supplementary-source-rpms
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:239 - Content type file not allowed, skipping content: rhel-6-hpc-node-beta-source-isos
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-computenode', skipping content: rhel-7-hpc-node-optional-source-rpms
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-computenode', skipping content: rhel-7-for-hpc-node-rh-common-source-rpms
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:239 - Content type file not allowed, skipping content: rhel-7-hpc-node-source-isos
2014-07-17 21:17:30,583 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-computenode', skipping content: rhel-7-for-hpc-node-fastrack-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-computenode', skipping content: rhel-6-for-hpc-node-extras-source-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:239 - Content type file not allowed, skipping content: rhel-7-hpc-node-beta-isos
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-computenode', skipping content: rhel-6-for-hpc-node-optional-fastrack-debug-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-server', skipping content: rhel-7-server-openstack-beta-cts-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-openstack-beta-cts-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-openstack-beta-cts-source-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-server', skipping content: rhel-7-server-openstack-beta-cts-debug-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-7-server', skipping content: rhel-7-server-openstack-beta-cts-source-rpms
2014-07-17 21:17:30,584 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-openstack-beta-cts-debug-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-fastrack-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-beta-source-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-beta-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-debug-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-source-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-fastrack-source-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-fastrack-debug-rpms
2014-07-17 21:17:30,585 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-hpn-for-rhel-6-server-beta-debug-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2-beta-jbosseap-source-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2-beta-jbosseap-debug-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2-beta-jbosseap-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2.0-jbosseap-debug-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-jbosseap-6-beta-source-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-1.2-jbosseap-6-debug-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-jbosseap-6-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2.0-jbosseap-source-rpms
2014-07-17 21:17:30,586 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-jbosseap-6-debug-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2.1-jbosseap-debug-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-jbosseap-6-beta-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-1.2-jbosseap-6-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2.1-jbosseap-source-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2.0-jbosseap-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-6-server-ose-2.1-jbosseap-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-1.2-jbosseap-6-source-rpms
2014-07-17 21:17:30,587 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-jbosseap-6-source-rpms
2014-07-17 21:17:30,588 [DEBUG] subscription-manager @repolib.py:246 - Missing required tag 'rhel-6-server', skipping content: rhel-server-ose-jbosseap-6-beta-debug-rpms
2014-07-17 21:17:30,590 [DEBUG] subscription-manager @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2014-07-17 21:17:30,591 [INFO] subscription-manager @repolib.py:207 - repos updated: Repo updates

Total repo updates: 1
Updated
    [id:rhel-atomic-preview-source-rpms Red Hat Enterprise Linux Atomic Host Preview (Source RPMs)]
Added (new)
    <NONE>
Deleted
    <NONE>
2014-07-17 21:17:30,594 [DEBUG] subscription-manager @plugins.py:769 - Running update_content_hook in ostree_content.OstreeContentPlugin
2014-07-17 21:17:30,594 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2209150>
2014-07-17 21:17:30,595 [INFO] subscription-manager @ostree_content.py:35 - Updating OSTree content.
2014-07-17 21:17:30,595 [DEBUG] subscription-manager @ostree_content.py:36 - ostree module: <module 'subscription_manager.plugin.ostree' from '/usr/share/rhsm/subscription_manager/plugin/ostree/__init__.pyc'>
2014-07-17 21:17:30,595 [DEBUG] subscription-manager @ostree_content.py:37 - dir(ostree): ['__builtins__', '__doc__', '__file__', '__name__', '__package__', '__path__', 'action_invoker', 'config', 'model']
2014-07-17 21:17:30,595 [DEBUG] subscription-manager @ostree_content.py:38 - conduit.ent_source: <subscription_manager.content_action_client.EntitlementDirEntitlementSource object at 0x1c24f10>
2014-07-17 21:17:30,595 [DEBUG] subscription-manager @ostree_content.py:40 - ent_source ent: <subscription_manager.models.EntitlementCertEntitlement object at 0x1d82f50>
2014-07-17 21:17:30,596 [DEBUG] subscription-manager @action_invoker.py:127 - adding rhel-atomic-preview-ostree to ostree content
2014-07-17 21:17:30,597 [DEBUG] subscription-manager @model.py:450 - builder.build <subscription_manager.plugin.ostree.action_invoker.OstreeContents object at 0x2209450>
2014-07-17 21:17:30,597 [DEBUG] subscription-manager @action_invoker.py:66 - Updates orig: <OsTreeConfig repo_file_path=None>
Core: {}
Remotes: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
</OstreeRemotes>

2014-07-17 21:17:30,597 [DEBUG] subscription-manager @action_invoker.py:67 - Updates new: <OsTreeConfig repo_file_path=None>
Core: {}
Remotes: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
 <subscription_manager.plugin.ostree.model.OstreeRemote object at 0x2209610>
 (name=rhel-atomic-preview-ostree
 url=/content/preview/rhel/atomic/7/x86_64/ostree/repo
 gpg_verify=False
 tls_client_cert_path=/etc/pki/entitlement/3024254300566867566.pem
 tls_client_key_path=/etc/pki/entitlement/3024254300566867566-key.pem)
</OstreeRemotes>

2014-07-17 21:17:30,597 [DEBUG] subscription-manager @action_invoker.py:68 - Updates.new.remote_set: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
 <subscription_manager.plugin.ostree.model.OstreeRemote object at 0x2209610>
 (name=rhel-atomic-preview-ostree
 url=/content/preview/rhel/atomic/7/x86_64/ostree/repo
 gpg_verify=False
 tls_client_cert_path=/etc/pki/entitlement/3024254300566867566.pem
 tls_client_key_path=/etc/pki/entitlement/3024254300566867566-key.pem)
</OstreeRemotes>

2014-07-17 21:17:30,597 [DEBUG] subscription-manager @model.py:549 - OstreeConfigUpdates.save
2014-07-17 21:17:30,597 [DEBUG] subscription-manager @model.py:514 - OstreeConfig.save
2014-07-17 21:17:30,598 [DEBUG] subscription-manager @model.py:299 - ostreeRepoConfigFileLoader.save <OsTreeConfig repo_file_path=None>
Core: {}
Remotes: 
<class 'subscription_manager.plugin.ostree.model.OstreeRemotes'>
 <subscription_manager.plugin.ostree.model.OstreeRemote object at 0x2209610>
 (name=rhel-atomic-preview-ostree
 url=/content/preview/rhel/atomic/7/x86_64/ostree/repo
 gpg_verify=False
 tls_client_cert_path=/etc/pki/entitlement/3024254300566867566.pem
 tls_client_key_path=/etc/pki/entitlement/3024254300566867566-key.pem)
</OstreeRemotes>

2014-07-17 21:17:30,598 [DEBUG] subscription-manager @config.py:201 - full_url: https://cdn.redhat.com/content/preview/rhel/atomic/7/x86_64/ostree/repo
2014-07-17 21:17:30,599 [DEBUG] subscription-manager @config.py:144 - OstreeConfigFile.save
2014-07-17 21:17:30,599 [DEBUG] subscription-manager @config.py:117 - section: remote "rhel-atomic-preview-ostree"
2014-07-17 21:17:30,599 [DEBUG] subscription-manager @config.py:119 -      url: https://cdn.redhat.com/content/preview/rhel/atomic/7/x86_64/ostree/repo
2014-07-17 21:17:30,599 [DEBUG] subscription-manager @config.py:119 -      tls-client-cert-path: /etc/pki/entitlement/3024254300566867566.pem
2014-07-17 21:17:30,599 [DEBUG] subscription-manager @config.py:119 -      tls-client-key-path: /etc/pki/entitlement/3024254300566867566-key.pem
2014-07-17 21:17:30,600 [DEBUG] subscription-manager @config.py:119 -      gpg-verify: false
2014-07-17 21:17:30,600 [DEBUG] subscription-manager @config.py:119 -      tls-ca-path: /etc/rhsm/ca/redhat-uep.pem
2014-07-17 21:17:30,600 [DEBUG] subscription-manager @config.py:112 - KeyFile.save /ostree/repo/config
2014-07-17 21:17:30,600 [ERROR] subscription-manager @plugins.py:489 - [Errno 2] No such file or directory: '/ostree/repo/config'
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/ostree_content.py", line 42, in update_content_hook
    report = action_invoker.OstreeContentUpdateActionCommand(ent_source=conduit.ent_source).perform()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 72, in perform
    updates.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 550, in save
    self.orig.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 522, in save
    self.repo_file_store.save(self)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 288, in save
    writer.save(ostree_config)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 308, in save
    self.repo_file.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 145, in save
    self.config_parser.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 113, in save
    super(KeyFileConfigParser, self).save()
  File "/usr/lib64/python2.7/site-packages/rhsm/config.py", line 107, in save
    fo = open(self.config_file, "wb")
IOError: [Errno 2] No such file or directory: '/ostree/repo/config'
2014-07-17 21:17:30,601 [WARNING] subscription-manager @base_action_client.py:72 - Exception caught while running <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2209150> update
2014-07-17 21:17:30,601 [ERROR] subscription-manager @base_action_client.py:73 - [Errno 2] No such file or directory: '/ostree/repo/config'
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/base_action_client.py", line 63, in _run_update
    update_report = lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 31, in update
    self.report = self.locker.run(self._do_update)
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 17, in run
    return action()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 81, in _do_update
    return action.perform()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 59, in perform
    self.runner.run()
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/ostree_content.py", line 42, in update_content_hook
    report = action_invoker.OstreeContentUpdateActionCommand(ent_source=conduit.ent_source).perform()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 72, in perform
    updates.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 550, in save
    self.orig.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 522, in save
    self.repo_file_store.save(self)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 288, in save
    writer.save(ostree_config)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 308, in save
    self.repo_file.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 145, in save
    self.config_parser.save()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/config.py", line 113, in save
    super(KeyFileConfigParser, self).save()
  File "/usr/lib64/python2.7/site-packages/rhsm/config.py", line 107, in save
    fo = open(self.config_file, "wb")
IOError: [Errno 2] No such file or directory: '/ostree/repo/config'
2014-07-17 21:17:30,604 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.factlib.FactsActionInvoker object at 0x1c19f90>
2014-07-17 21:17:30,622 [DEBUG] subscription-manager @hwprobe.py:554 - cpu info: {'cpu.cpu(s)': 2, 'cpu.core(s)_per_socket': 1, 'cpu.thread(s)_per_core': 1, 'cpu.topology_source': 'kernel /sys cpu sibling lists', 'cpu.cpu_socket(s)': 2}

Actual results:


Expected results:


Additional info:
note: The system doesnot have ostree installed

Comment 2 Bryan Kearney 2014-07-30 19:23:33 UTC
Acking 7.1

Comment 3 Adrian Likins 2014-10-14 18:07:10 UTC
couple of questions about desired behaviour:


a) should the plugin be enabled by default if installed
   (currently it is). 
   Disabling it by defaults means atomic would have to flip it back on


b) should it require ostree/rpm-ostree? 
   Currently it doesn't, and code/module wise, it doesn't need ostree installed
   Adding the deps doesn't help much though, as the /ostree/repo/ path is not
   actually part of the ostree packages.

c) If you have the plugin installed and enabled, and attached to ents with
   ostree content, should we write out an ostree config even if it's not
   currently an ostree system. 

    This will actually be a common case, since RHEL ents have ostree content.

    If we allow it to skip or fail, we may need to revisit that if/when we
    support ostree content that does not need to be "running" (for example,
    an ostree repo for updating a virt guest image)

d) short term, easiest thing may be to only try to write /ostree/repo/config if
   /ostree/repo already exist. That will not change atomic behaviour, but will
   handle the non-ostree case (and still trigger the plugin showing the ents and content info in the logs but indicating it wasn't persisted). 

e) it future, it may be necessary to support multiple ostree repo config's based on content info

Comment 4 Adrian Likins 2014-10-17 18:36:33 UTC
Going to go with d for short term

pr at https://github.com/candlepin/subscription-manager/pull/1047

Comment 6 Shwetha Kallesh 2014-11-26 13:13:45 UTC
No IOError when you run repos --list on a system with no ostree installed on it


[root@dhcp35-236 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.26.4-1
subscription management rules: 5.11
subscription-manager: 1.13.9-1.el7
python-rhsm: 1.13.8-1.el7


[root@dhcp35-236 ~]# subscription-manager repos --list
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-atomic-host-beta-rpms
Repo Name: Red Hat Enterprise Linux Atomic Host Beta (RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/rhel/atomic/7/$basearch/os
Enabled:   0

Repo ID:   rhel-atomic-host-beta-source-rpms
Repo Name: Red Hat Enterprise Linux Atomic Host Beta (Source RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/rhel/atomic/7/x86_64/source/SRPMS
Enabled:   0

Repo ID:   rhel-atomic-host-beta-debug-rpms
Repo Name: Red Hat Enterprise Linux Atomic Host Beta (Debug RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/rhel/atomic/7/$basearch/debug
Enabled:   0


[root@dhcp35-236 ~]# tail -f /var/log/rhsm/rhsm.log
2014-11-26 18:36:51,816 [DEBUG] subscription-manager @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.pyc'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.pyc'>]
2014-11-26 18:36:51,816 [DEBUG] subscription-manager @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x2309f90>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x2314510>}
2014-11-26 18:36:51,816 [DEBUG] subscription-manager @identity.py:131 - Loading consumer info from identity certificates.
2014-11-26 18:36:51,845 [DEBUG] subscription-manager @profile.py:97 - Loading current RPM profile.
2014-11-26 18:36:51,905 [INFO] subscription-manager @managercli.py:340 - Client Versions: {'python-rhsm': '1.13.8-1.el7', 'subscription-manager': '1.13.9-1.el7'}
2014-11-26 18:36:51,906 [INFO] subscription-manager @connection.py:679 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2014-11-26 18:36:51,906 [INFO] subscription-manager @connection.py:690 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-11-26 18:36:51,906 [INFO] subscription-manager @connection.py:686 - Using no auth
2014-11-26 18:36:51,907 [INFO] subscription-manager @connection.py:690 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-11-26 18:36:51,917 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:36:51,917 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/
2014-11-26 18:36:53,093 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:36:53,094 [DEBUG] subscription-manager @connection.py:706 - Server supports the following resources:
2014-11-26 18:36:53,094 [DEBUG] subscription-manager @connection.py:707 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'pools': '/pools', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2014-11-26 18:36:53,095 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:36:53,095 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/status
2014-11-26 18:36:54,286 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:36:54,287 [INFO] subscription-manager @managercli.py:351 - Server Versions: {'rules-version': '5.11', 'candlepin': '0.9.26.4-1', 'server-type': 'Red Hat Subscription Management'}
2014-11-26 18:36:54,288 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.entcertlib.EntCertActionInvoker object at 0x24f6590>
2014-11-26 18:36:54,289 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:36:54,290 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/47a49642-d511-48da-8fc7-890c090e4eca/certificates/serials
2014-11-26 18:36:55,809 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:36:55,809 [INFO] subscription-manager @entcertlib.py:131 - certs updated:
Total updates: 0
Found (local) serial# [2138272491050681797L]
Expected (UEP) serial# [2138272491050681797]
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
2014-11-26 18:36:55,810 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.identitycertlib.IdentityCertActionInvoker object at 0x24f6910>
2014-11-26 18:36:55,811 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:36:55,811 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/47a49642-d511-48da-8fc7-890c090e4eca
2014-11-26 18:36:57,436 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:36:57,438 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentActionClient object at 0x24f62d0>
2014-11-26 18:36:57,438 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x24f6e10>
2014-11-26 18:36:57,440 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:36:57,440 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/
2014-11-26 18:37:00,880 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:37:00,881 [DEBUG] subscription-manager @connection.py:706 - Server supports the following resources:
2014-11-26 18:37:00,881 [DEBUG] subscription-manager @connection.py:707 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'consumertypes': '/consumertypes', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'activation_keys': '/activation_keys', 'crl': '/crl'}
2014-11-26 18:37:00,882 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:37:00,882 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/47a49642-d511-48da-8fc7-890c090e4eca/content_overrides
2014-11-26 18:37:02,365 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:37:02,366 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
2014-11-26 18:37:02,366 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:37:02,367 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/47a49642-d511-48da-8fc7-890c090e4eca/release
2014-11-26 18:37:03,885 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:37:03,887 [DEBUG] subscription-manager @__init__.py:85 - Searching for content of type: yum
2014-11-26 18:37:03,893 [DEBUG] subscription-manager @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2014-11-26 18:37:03,894 [INFO] subscription-manager @repolib.py:211 - repos updated: Repo updates

Total repo updates: 3
Updated
    [id:rhel-atomic-host-beta-rpms Red Hat Enterprise Linux Atomic Host Beta (RPMs)]
    [id:rhel-atomic-host-beta-source-rpms Red Hat Enterprise Linux Atomic Host Beta (Source RPMs)]
    [id:rhel-atomic-host-beta-debug-rpms Red Hat Enterprise Linux Atomic Host Beta (Debug RPMs)]
Added (new)
    <NONE>
Deleted
    <NONE>
2014-11-26 18:37:03,894 [DEBUG] subscription-manager @plugins.py:769 - Running update_content_hook in container_content.ContainerContentPlugin
2014-11-26 18:37:03,894 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2520d90>
2014-11-26 18:37:03,894 [INFO] subscription-manager @container_content.py:43 - Updating container content.
2014-11-26 18:37:03,894 [INFO] subscription-manager @container_content.py:45 - registry hostnames = registry.access.redhat.com,cdn.redhat.com
2014-11-26 18:37:03,895 [DEBUG] subscription-manager @__init__.py:85 - Searching for content of type: containerimage
2014-11-26 18:37:03,895 [DEBUG] subscription-manager @container.py:53 - Got content_sets: [<subscription_manager.model.ent_cert.EntitlementCertContent object at 0x2517b90>]
2014-11-26 18:37:03,895 [DEBUG] subscription-manager @container.py:138 - Syncing container certificates to /etc/docker/certs.d/registry.access.redhat.com
2014-11-26 18:37:03,895 [WARNING] subscription-manager @container.py:140 - Container cert directory does not exist: /etc/docker/certs.d/
2014-11-26 18:37:03,895 [WARNING] subscription-manager @container.py:141 - Exiting plugin
2014-11-26 18:37:03,895 [DEBUG] subscription-manager @container.py:138 - Syncing container certificates to /etc/docker/certs.d/cdn.redhat.com
2014-11-26 18:37:03,895 [WARNING] subscription-manager @container.py:140 - Container cert directory does not exist: /etc/docker/certs.d/
2014-11-26 18:37:03,895 [WARNING] subscription-manager @container.py:141 - Exiting plugin
2014-11-26 18:37:03,896 [DEBUG] subscription-manager @plugins.py:769 - Running update_content_hook in ostree_content.OstreeContentPlugin
2014-11-26 18:37:03,896 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2520e50>
2014-11-26 18:37:03,896 [INFO] subscription-manager @ostree_content.py:34 - ostree update_content_hook plugin.
2014-11-26 18:37:03,896 [DEBUG] subscription-manager @__init__.py:85 - Searching for content of type: ostree
2014-11-26 18:37:03,896 [WARNING] subscription-manager @config.py:116 - /etc/ostree/remotes.d does not exist, so unable to save /etc/ostree/remotes.d/redhat.conf
2014-11-26 18:37:04,074 [ERROR] subscription-manager @model.py:342 - Error looking up OSTree origin file.
2014-11-26 18:37:04,075 [ERROR] subscription-manager @model.py:343 - ERROR:root:Could not find any typelib for OSTree
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/gi_wrapper.py", line 25, in <module>
    from gi.repository import OSTree
ImportError: cannot import name OSTree

2014-11-26 18:37:04,075 [ERROR] subscription-manager @plugins.py:489 - Command '['python', '/usr/share/rhsm/subscription_manager/plugin/ostree/gi_wrapper.py', '--deployed-origin']' returned non-zero exit status 1
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/ostree_content.py", line 36, in update_content_hook
    report = action_invoker.OstreeContentUpdateActionCommand(ent_source=conduit.ent_source).perform()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 67, in perform
    return self.update_repo_config()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 93, in update_repo_config
    self.update_origin_file(ostree_repo_config)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 120, in update_origin_file
    updater.run()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 384, in run
    self.originfile = self._get_deployed_origin()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 344, in _get_deployed_origin
    raise e
CalledProcessError: Command '['python', '/usr/share/rhsm/subscription_manager/plugin/ostree/gi_wrapper.py', '--deployed-origin']' returned non-zero exit status 1
2014-11-26 18:37:04,076 [WARNING] subscription-manager @base_action_client.py:72 - Exception caught while running <subscription_manager.content_action_client.ContentPluginActionInvoker object at 0x2520e50> update
2014-11-26 18:37:04,076 [ERROR] subscription-manager @base_action_client.py:73 - Command '['python', '/usr/share/rhsm/subscription_manager/plugin/ostree/gi_wrapper.py', '--deployed-origin']' returned non-zero exit status 1
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/base_action_client.py", line 63, in _run_update
    update_report = lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 31, in update
    self.report = self.locker.run(self._do_update)
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 17, in run
    return action()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 81, in _do_update
    return action.perform()
  File "/usr/share/rhsm/subscription_manager/content_action_client.py", line 59, in perform
    self.runner.run()
  File "/usr/share/rhsm/subscription_manager/plugins.py", line 487, in run
    self.func(self.conduit)
  File "/usr/share/rhsm-plugins/ostree_content.py", line 36, in update_content_hook
    report = action_invoker.OstreeContentUpdateActionCommand(ent_source=conduit.ent_source).perform()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 67, in perform
    return self.update_repo_config()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 93, in update_repo_config
    self.update_origin_file(ostree_repo_config)
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/action_invoker.py", line 120, in update_origin_file
    updater.run()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 384, in run
    self.originfile = self._get_deployed_origin()
  File "/usr/share/rhsm/subscription_manager/plugin/ostree/model.py", line 344, in _get_deployed_origin
    raise e
CalledProcessError: Command '['python', '/usr/share/rhsm/subscription_manager/plugin/ostree/gi_wrapper.py', '--deployed-origin']' returned non-zero exit status 1
2014-11-26 18:37:04,076 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.factlib.FactsActionInvoker object at 0x24f6290>
2014-11-26 18:37:04,091 [DEBUG] subscription-manager @hwprobe.py:554 - cpu info: {'cpu.cpu(s)': 4, 'cpu.core(s)_per_socket': 4, 'cpu.thread(s)_per_core': 1, 'cpu.topology_source': 'kernel /sys cpu sibling lists', 'cpu.cpu_socket(s)': 1}
2014-11-26 18:37:04,369 [DEBUG] subscription-manager @hwprobe.py:773 - Running 'virt-what'
2014-11-26 18:37:04,387 [DEBUG] subscription-manager @hwprobe.py:777 - virt-what stdout: 
2014-11-26 18:37:04,387 [DEBUG] subscription-manager @hwprobe.py:778 - virt-what stderr: 
2014-11-26 18:37:04,387 [INFO] subscription-manager @hwprobe.py:766 - virt.is_guest: False
2014-11-26 18:37:04,388 [INFO] subscription-manager @hwprobe.py:767 - virt.host_type: Not Applicable
2014-11-26 18:37:04,405 [INFO] subscription-manager @factlib.py:104 - Facts have not changed, skipping upload.
2014-11-26 18:37:04,405 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.packageprofilelib.PackageProfileActionInvoker object at 0x24f6810>
2014-11-26 18:37:04,405 [INFO] subscription-manager @cache.py:339 - Server does not support packages, skipping profile upload.
2014-11-26 18:37:04,406 [DEBUG] subscription-manager @base_action_client.py:85 - running lib: <subscription_manager.installedproductslib.InstalledProductsActionInvoker object at 0x24f6890>
2014-11-26 18:37:04,406 [INFO] subscription-manager @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-11-26 18:37:04,406 [INFO] subscription-manager @cache.py:155 - No changes.
2014-11-26 18:37:04,406 [INFO] subscription-manager @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2014-11-26 18:37:04,407 [INFO] subscription-manager @cache.py:155 - No changes.
2014-11-26 18:37:04,407 [DEBUG] subscription-manager @certdirectory.py:216 - Installed product IDs: ['69', '32060']
2014-11-26 18:37:04,407 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:37:04,408 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/47a49642-d511-48da-8fc7-890c090e4eca/compliance
2014-11-26 18:37:05,958 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:37:05,959 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2014-11-26 18:37:05,959 [DEBUG] subscription-manager @cert_sorter.py:193 - valid entitled products: []
2014-11-26 18:37:05,959 [DEBUG] subscription-manager @cert_sorter.py:194 - expired entitled products: []
2014-11-26 18:37:05,960 [DEBUG] subscription-manager @cert_sorter.py:195 - partially entitled products: []
2014-11-26 18:37:05,960 [DEBUG] subscription-manager @cert_sorter.py:196 - unentitled products: ['69', '32060']
2014-11-26 18:37:05,960 [DEBUG] subscription-manager @cert_sorter.py:197 - future products: []
2014-11-26 18:37:05,960 [DEBUG] subscription-manager @cert_sorter.py:198 - partial stacks: []
2014-11-26 18:37:05,960 [DEBUG] subscription-manager @cert_sorter.py:199 - entitlements valid until: None
2014-11-26 18:37:06,065 [INFO] rhsmd @rhsmd:273 - rhsmd started
2014-11-26 18:37:06,068 [INFO] rhsmd @rhsmd:182 - D-Bus interface com.redhat.SubscriptionManager.EntitlementStatus.update_status called with status = 1
2014-11-26 18:37:06,103 [DEBUG] rhsmd @identity.py:131 - Loading consumer info from identity certificates.
2014-11-26 18:37:06,106 [INFO] rhsmd @rhsmd:149 - D-Bus signal com.redhat.SubscriptionManager.EntitlementStatus.entitlement_status_changed emitted
2014-11-26 18:37:06,120 [DEBUG] subscription-manager @dbus_interface.py:60 - Failed to update rhsmd
2014-11-26 18:37:06,121 [ERROR] subscription-manager @dbus_interface.py:61 - org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)os
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/dbus_interface.py", line 57, in _update
    self.validity_iface.emit_status(ignore_reply=self.has_main_loop)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
2014-11-26 18:37:06,122 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:37:06,122 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/47a49642-d511-48da-8fc7-890c090e4eca/content_overrides
2014-11-26 18:37:07,616 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:37:07,617 [DEBUG] subscription-manager @cache.py:249 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
2014-11-26 18:37:07,618 [DEBUG] subscription-manager @connection.py:420 - Loaded CA certificates from /etc/rhsm/ca/: candlepin-stage.pem, redhat-uep.pem, candlepin-ca.pem, 10.pem
2014-11-26 18:37:07,618 [DEBUG] subscription-manager @connection.py:466 - Making request: GET /subscription/consumers/47a49642-d511-48da-8fc7-890c090e4eca/release
2014-11-26 18:37:09,201 [DEBUG] subscription-manager @connection.py:489 - Response: status=200
2014-11-26 18:37:09,202 [DEBUG] subscription-manager @__init__.py:85 - Searching for content of type: yum

Comment 8 errata-xmlrpc 2015-03-05 13:17:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0502.html


Note You need to log in before you can comment on or make changes to this bug.